DROP TABLE BLOG_COMMENTS;

DROP TABLE BLOG_POSTS;

CREATE TABLE BLOG_POSTS(
    POST_ID NUMBER GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
    TITLE VARCHAR2(200) NOT NULL,
    AUTHOR VARCHAR2(200) NOT NULL,
    TAG_LINE VARCHAR2(200) NOT NULL,
    TEXT CLOB NOT NULL
);

CREATE TABLE BLOG_COMMENTS(
    COMMENT_ID NUMBER GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
    AUTHOR VARCHAR2(200) NOT NULL,
    TEXT CLOB NOT NULL,
    POST_ID NUMBER REFERENCES BLOG_POSTS(POST_ID)
);

CREATE TABLE BLOG_USERS(
    USER_ID NUMBER GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
    EMAIL VARCHAR2(200) NOT NULL,
    USERNAME VARCHAR2(200) NOT NULL,
    PASSWORD VARCHAR2(200) NOT NULL
);

INSERT INTO BLOG_POSTS(
    TITLE,
    AUTHOR,
    TEXT,
    TAG_LINE
) VALUES(
    'first post',
    'ddubois',
    'this is a test',
    'best test'
);

INSERT INTO BLOG_COMMENTS(
    AUTHOR,
    TEXT,
    POST_ID
) VALUES(
    'ddubois',
    'this is a test',
    1
);